/**
 * Serializes decimal values in numbers.
 */
public final class BigDecimalSerializerInJsonNumber implements JsonbSerializer<BigDecimal>
{
	@Override
	public void serialize(
		final BigDecimal aBigDecimal,
		final JsonGenerator aJsonGenerator,
		final SerializationContext aSerializationContext)
	{
		if (aBigDecimal == null)
			aJsonGenerator.writeNull();
		else
			aJsonGenerator.write(aBigDecimal);
	}
}